.\"	$NetBSD: sysctl.conf.5,v 1.2 2008/04/30 13:10:57 martin Exp $
.\"
.\" Copyright (c) 2007 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd October 4, 2007
.Dt SYSCTL.CONF 5
.Os
.Sh NAME
.Nm sysctl.conf
.Nd sysctl configuration file
.Sh SYNOPSIS
.Nm
.Sh DESCRIPTION
The
.Nm
file defines the
.Xr sysctl 7
kernel state tunables that can be set at boot time using
.Xr sysctl 8
(using the
.Fl f
switch)
via the
.Pa /etc/rc.d/sysctl
startup script.
.Pp
The state to be set is described using a
.Dq Management Information Base
.Pq Dq MIB
style name.
The MIB and value must be separated by
.Sq =
with no whitespace, for example:
.Pp
.Ar name Ns Li = Ns Ar value
.Pp
Blank lines, lines with just
.Ar name ,
and comments (beginning with
.Sq # )
are ignored.
Line continuations using backslash
.Sq \e
are permitted.
Only integral and string values can be set.
.\"
.Sh FILES
.Bl -tag -width /etc/sysctl.conf -compact
.It Pa /etc/sysctl.conf
The file
.Nm
resides in
.Pa /etc .
.El
.Sh EXAMPLES
The following is an example
.Pa /etc/sysctl.conf
file:
.Pp
.Bd -literal
# Change max open files
kern.maxfiles=1792

# Run Veriexec in IDS mode
kern.veriexec.strict=1

# Enable IP packet forwarding
net.inet.ip.forwarding=1
.Ed
.Sh SEE ALSO
.Xr sysctl 3 ,
.Xr rc.conf 5 ,
.Xr sysctl 7 ,
.Xr sysctl 8
.Sh HISTORY
Support for
.Nm
first appeared in
.Nx 1.5 .
